Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class SupportVectorMachineForClassification

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.SVMforDataMining
                  edu.udo.cs.miningmart.operator.SupportVectorMachineForClassification

public class SupportVectorMachineForClassification
extends SVMforDataMining

This operator uses mySVM to realize a Support Vector Machine for classification.

Version:
  $Id: SupportVectorMachineForClassification.java,v 1.4 2006/04/11 14:10:11 euler Exp $
Author:
  Timm Euler
See Also:
  `edu.udo.cs.miningmart.m4.core.operator.SVM_ForDataMining`

Constructor Summary
`SupportVectorMachineForClassification()`

Method Summary
`protected SVM_Wrapper` | `constructWrapper(boolean useDB_SVM)` Abstract method to be implemented by subclasses.

Methods inherited from class edu.udo.cs.miningmart.operator.SVMforDataMining
`generateSQL, getC, getDatabaseSchema, getEpsilon, getKernelType, getKey, getLossFunctionNeg, getLossFunctionPos, getPrefixForDatabaseObjects, getSampleSize, getThePredictingAttributes, getUseDatabaseSVM`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, estimateStatistics, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportVectorMachineForClassification

    public SupportVectorMachineForClassification()

Method Detail

### constructWrapper

    protected SVM_Wrapper constructWrapper(boolean useDB_SVM)
                                    throws M4CompilerError

  Description copied from class: `SVMforDataMining`
  Abstract method to be implemented by subclasses. Serves to call the adequate SVM wrapper constructors.

  Specified by:
    `constructWrapper` in class `SVMforDataMining`
  Parameters:
    `useDB_SVM` - True iff the SVM implementation inside the database is to be used.
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005